Index: /trunk/sources/HeuristicLab.ExtLibs/HeuristicLab.ProtobufCS/0.9.1/ProtobufCS/src/ProtocolBuffers.Test/TestProtos/UnitTestCustomOptionsProtoFile.cs
===================================================================
--- /trunk/sources/HeuristicLab.ExtLibs/HeuristicLab.ProtobufCS/0.9.1/ProtobufCS/src/ProtocolBuffers.Test/TestProtos/UnitTestCustomOptionsProtoFile.cs	(revision 4067)
+++ /trunk/sources/HeuristicLab.ExtLibs/HeuristicLab.ProtobufCS/0.9.1/ProtobufCS/src/ProtocolBuffers.Test/TestProtos/UnitTestCustomOptionsProtoFile.cs	(revision 4068)
@@ -2528,36 +2526,36 @@
         public override Builder CreateBuilderForType() { return new Builder(); }
         public static Builder CreateBuilder(ComplexOptionType4 prototype) {
-          return (Builder) new Builder().MergeFrom(prototype);
-        }
-        
+          return (Builder)new Builder().MergeFrom(prototype);
+        }
+
         public sealed partial class Builder : pb::GeneratedBuilder<ComplexOptionType4, Builder> {
           protected override Builder ThisBuilder {
             get { return this; }
           }
-          public Builder() {}
-          
+          public Builder() { }
+
           ComplexOptionType4 result = new ComplexOptionType4();
-          
+
           protected override ComplexOptionType4 MessageBeingBuilt {
             get { return result; }
           }
-          
+
           public override Builder Clear() {
             result = new ComplexOptionType4();
             return this;
           }
-          
+
           public override Builder Clone() {
             return new Builder().MergeFrom(result);
           }
-          
+
           public override pbd::MessageDescriptor DescriptorForType {
             get { return global::Google.ProtocolBuffers.TestProtos.ComplexOptionType2.Types.ComplexOptionType4.Descriptor; }
           }
-          
+
           public override ComplexOptionType4 DefaultInstanceForType {
             get { return global::Google.ProtocolBuffers.TestProtos.ComplexOptionType2.Types.ComplexOptionType4.DefaultInstance; }
           }
-          
+
           public override ComplexOptionType4 BuildPartial() {
             if (result == null) {
@@ -2568,8 +2566,8 @@
             return returnMe;
           }
-          
+
           public override Builder MergeFrom(pb::IMessage other) {
             if (other is ComplexOptionType4) {
-              return MergeFrom((ComplexOptionType4) other);
+              return MergeFrom((ComplexOptionType4)other);
             } else {
               base.MergeFrom(other);
@@ -2577,5 +2575,5 @@
             }
           }
-          
+
           public override Builder MergeFrom(ComplexOptionType4 other) {
             if (other == global::Google.ProtocolBuffers.TestProtos.ComplexOptionType2.Types.ComplexOptionType4.DefaultInstance) return this;
@@ -2586,9 +2584,9 @@
             return this;
           }
-          
+
           public override Builder MergeFrom(pb::CodedInputStream input) {
             return MergeFrom(input, pb::ExtensionRegistry.Empty);
           }
-          
+
           public override Builder MergeFrom(pb::CodedInputStream input, pb::ExtensionRegistry extensionRegistry) {
             pb::UnknownFieldSet.Builder unknownFields = null;
@@ -2597,11 +2595,4 @@
               switch (tag) {
                 case 0: {
-                  if (unknownFields != null) {
-                    this.UnknownFields = unknownFields.Build();
-                  }
-                  return this;
-                }
-                default: {
-                  if (pb::WireFormat.IsEndGroupTag(tag)) {
                     if (unknownFields != null) {
                       this.UnknownFields = unknownFields.Build();
@@ -2609,19 +2600,26 @@
                     return this;
                   }
-                  if (unknownFields == null) {
-                    unknownFields = pb::UnknownFieldSet.CreateBuilder(this.UnknownFields);
+                default: {
+                    if (pb::WireFormat.IsEndGroupTag(tag)) {
+                      if (unknownFields != null) {
+                        this.UnknownFields = unknownFields.Build();
+                      }
+                      return this;
+                    }
+                    if (unknownFields == null) {
+                      unknownFields = pb::UnknownFieldSet.CreateBuilder(this.UnknownFields);
+                    }
+                    ParseUnknownField(input, unknownFields, extensionRegistry, tag);
+                    break;
                   }
-                  ParseUnknownField(input, unknownFields, extensionRegistry, tag);
-                  break;
-                }
                 case 8: {
-                  Waldo = input.ReadInt32();
-                  break;
-                }
+                    Waldo = input.ReadInt32();
+                    break;
+                  }
               }
             }
           }
-          
-          
+
+
           public bool HasWaldo {
             get { return result.HasWaldo; }
@@ -2646,8 +2644,8 @@
         }
       }
-      
+
     }
     #endregion
-    
+
     public const int BarFieldNumber = 1;
     private bool hasBar;
@@ -2659,5 +2657,5 @@
       get { return bar_; }
     }
-    
+
     public const int BazFieldNumber = 2;
     private bool hasBaz;
@@ -2669,5 +2667,5 @@
       get { return baz_; }
     }
-    
+
     public const int FredFieldNumber = 3;
     private bool hasFred;
@@ -2679,5 +2677,5 @@
       get { return fred_; }
     }
-    
+
     public override bool IsInitialized {
       get {
@@ -2689,5 +2687,5 @@
       }
     }
-    
+
     public override void WriteTo(pb::CodedOutputStream output) {
       int size = SerializedSize;
@@ -2705,5 +2703,5 @@
       UnknownFields.WriteTo(output);
     }
-    
+
     private int memoizedSerializedSize = -1;
     public override int SerializedSize {
@@ -2711,5 +2709,5 @@
         int size = memoizedSerializedSize;
         if (size != -1) return size;
-        
+
         size = 0;
         if (HasBar) {
@@ -2728,22 +2726,22 @@
       }
     }
-    
+
     public static ComplexOptionType2 ParseFrom(pb::ByteString data) {
-      return ((Builder) CreateBuilder().MergeFrom(data)).BuildParsed();
+      return ((Builder)CreateBuilder().MergeFrom(data)).BuildParsed();
     }
     public static ComplexOptionType2 ParseFrom(pb::ByteString data, pb::ExtensionRegistry extensionRegistry) {
-      return ((Builder) CreateBuilder().MergeFrom(data, extensionRegistry)).BuildParsed();
+      return ((Builder)CreateBuilder().MergeFrom(data, extensionRegistry)).BuildParsed();
     }
     public static ComplexOptionType2 ParseFrom(byte[] data) {
-      return ((Builder) CreateBuilder().MergeFrom(data)).BuildParsed();
+      return ((Builder)CreateBuilder().MergeFrom(data)).BuildParsed();
     }
     public static ComplexOptionType2 ParseFrom(byte[] data, pb::ExtensionRegistry extensionRegistry) {
-      return ((Builder) CreateBuilder().MergeFrom(data, extensionRegistry)).BuildParsed();
+      return ((Builder)CreateBuilder().MergeFrom(data, extensionRegistry)).BuildParsed();
     }
     public static ComplexOptionType2 ParseFrom(global::System.IO.Stream input) {
-      return ((Builder) CreateBuilder().MergeFrom(input)).BuildParsed();
+      return ((Builder)CreateBuilder().MergeFrom(input)).BuildParsed();
     }
     public static ComplexOptionType2 ParseFrom(global::System.IO.Stream input, pb::ExtensionRegistry extensionRegistry) {
-      return ((Builder) CreateBuilder().MergeFrom(input, extensionRegistry)).BuildParsed();
+      return ((Builder)CreateBuilder().MergeFrom(input, extensionRegistry)).BuildParsed();
     }
     public static ComplexOptionType2 ParseDelimitedFrom(global::System.IO.Stream input) {
@@ -2754,8 +2752,8 @@
     }
     public static ComplexOptionType2 ParseFrom(pb::CodedInputStream input) {
-      return ((Builder) CreateBuilder().MergeFrom(input)).BuildParsed();
+      return ((Builder)CreateBuilder().MergeFrom(input)).BuildParsed();
     }
     public static ComplexOptionType2 ParseFrom(pb::CodedInputStream input, pb::ExtensionRegistry extensionRegistry) {
-      return ((Builder) CreateBuilder().MergeFrom(input, extensionRegistry)).BuildParsed();
+      return ((Builder)CreateBuilder().MergeFrom(input, extensionRegistry)).BuildParsed();
     }
     public static Builder CreateBuilder() { return new Builder(); }
@@ -2763,36 +2761,36 @@
     public override Builder CreateBuilderForType() { return new Builder(); }
     public static Builder CreateBuilder(ComplexOptionType2 prototype) {
-      return (Builder) new Builder().MergeFrom(prototype);
-    }
-    
+      return (Builder)new Builder().MergeFrom(prototype);
+    }
+
     public sealed partial class Builder : pb::ExtendableBuilder<ComplexOptionType2, Builder> {
       protected override Builder ThisBuilder {
         get { return this; }
       }
-      public Builder() {}
-      
+      public Builder() { }
+
       ComplexOptionType2 result = new ComplexOptionType2();
-      
+
       protected override ComplexOptionType2 MessageBeingBuilt {
         get { return result; }
       }
-      
+
       public override Builder Clear() {
         result = new ComplexOptionType2();
         return this;
       }
-      
+
       public override Builder Clone() {
         return new Builder().MergeFrom(result);
       }
-      
+
       public override pbd::MessageDescriptor DescriptorForType {
         get { return global::Google.ProtocolBuffers.TestProtos.ComplexOptionType2.Descriptor; }
       }
-      
+
       public override ComplexOptionType2 DefaultInstanceForType {
         get { return global::Google.ProtocolBuffers.TestProtos.ComplexOptionType2.DefaultInstance; }
       }
-      
+
       public override ComplexOptionType2 BuildPartial() {
         if (result == null) {
@@ -2803,8 +2801,8 @@
         return returnMe;
       }
-      
+
       public override Builder MergeFrom(pb::IMessage other) {
         if (other is ComplexOptionType2) {
-          return MergeFrom((ComplexOptionType2) other);
+          return MergeFrom((ComplexOptionType2)other);
         } else {
           base.MergeFrom(other);
@@ -2812,5 +2810,5 @@
         }
       }
-      
+
       public override Builder MergeFrom(ComplexOptionType2 other) {
         if (other == global::Google.ProtocolBuffers.TestProtos.ComplexOptionType2.DefaultInstance) return this;
@@ -2824,13 +2822,13 @@
           MergeFred(other.Fred);
         }
-          this.MergeExtensionFields(other);
+        this.MergeExtensionFields(other);
         this.MergeUnknownFields(other.UnknownFields);
         return this;
       }
-      
+
       public override Builder MergeFrom(pb::CodedInputStream input) {
         return MergeFrom(input, pb::ExtensionRegistry.Empty);
       }
-      
+
       public override Builder MergeFrom(pb::CodedInputStream input, pb::ExtensionRegistry extensionRegistry) {
         pb::UnknownFieldSet.Builder unknownFields = null;
@@ -2839,11 +2837,4 @@
           switch (tag) {
             case 0: {
-              if (unknownFields != null) {
-                this.UnknownFields = unknownFields.Build();
-              }
-              return this;
-            }
-            default: {
-              if (pb::WireFormat.IsEndGroupTag(tag)) {
                 if (unknownFields != null) {
                   this.UnknownFields = unknownFields.Build();
@@ -2851,39 +2842,46 @@
                 return this;
               }
-              if (unknownFields == null) {
-                unknownFields = pb::UnknownFieldSet.CreateBuilder(this.UnknownFields);
+            default: {
+                if (pb::WireFormat.IsEndGroupTag(tag)) {
+                  if (unknownFields != null) {
+                    this.UnknownFields = unknownFields.Build();
+                  }
+                  return this;
+                }
+                if (unknownFields == null) {
+                  unknownFields = pb::UnknownFieldSet.CreateBuilder(this.UnknownFields);
+                }
+                ParseUnknownField(input, unknownFields, extensionRegistry, tag);
+                break;
               }
-              ParseUnknownField(input, unknownFields, extensionRegistry, tag);
-              break;
-            }
             case 10: {
-              global::Google.ProtocolBuffers.TestProtos.ComplexOptionType1.Builder subBuilder = global::Google.ProtocolBuffers.TestProtos.ComplexOptionType1.CreateBuilder();
-              if (HasBar) {
-                subBuilder.MergeFrom(Bar);
+                global::Google.ProtocolBuffers.TestProtos.ComplexOptionType1.Builder subBuilder = global::Google.ProtocolBuffers.TestProtos.ComplexOptionType1.CreateBuilder();
+                if (HasBar) {
+                  subBuilder.MergeFrom(Bar);
+                }
+                input.ReadMessage(subBuilder, extensionRegistry);
+                Bar = subBuilder.BuildPartial();
+                break;
               }
-              input.ReadMessage(subBuilder, extensionRegistry);
-              Bar = subBuilder.BuildPartial();
-              break;
-            }
             case 16: {
-              Baz = input.ReadInt32();
-              break;
-            }
+                Baz = input.ReadInt32();
+                break;
+              }
             case 26: {
-              global::Google.ProtocolBuffers.TestProtos.ComplexOptionType2.Types.ComplexOptionType4.Builder subBuilder = global::Google.ProtocolBuffers.TestProtos.ComplexOptionType2.Types.ComplexOptionType4.CreateBuilder();
-              if (HasFred) {
-                subBuilder.MergeFrom(Fred);
+                global::Google.ProtocolBuffers.TestProtos.ComplexOptionType2.Types.ComplexOptionType4.Builder subBuilder = global::Google.ProtocolBuffers.TestProtos.ComplexOptionType2.Types.ComplexOptionType4.CreateBuilder();
+                if (HasFred) {
+                  subBuilder.MergeFrom(Fred);
+                }
+                input.ReadMessage(subBuilder, extensionRegistry);
+                Fred = subBuilder.BuildPartial();
+                break;
               }
-              input.ReadMessage(subBuilder, extensionRegistry);
-              Fred = subBuilder.BuildPartial();
-              break;
-            }
-          }
-        }
-      }
-      
-      
+          }
+        }
+      }
+
+
       public bool HasBar {
-       get { return result.HasBar; }
+        get { return result.HasBar; }
       }
       public global::Google.ProtocolBuffers.TestProtos.ComplexOptionType1 Bar {
@@ -2907,5 +2905,5 @@
         if (result.HasBar &&
             result.bar_ != global::Google.ProtocolBuffers.TestProtos.ComplexOptionType1.DefaultInstance) {
-            result.bar_ = global::Google.ProtocolBuffers.TestProtos.ComplexOptionType1.CreateBuilder(result.bar_).MergeFrom(value).BuildPartial();
+          result.bar_ = global::Google.ProtocolBuffers.TestProtos.ComplexOptionType1.CreateBuilder(result.bar_).MergeFrom(value).BuildPartial();
         } else {
           result.bar_ = value;
@@ -2919,5 +2917,5 @@
         return this;
       }
-      
+
       public bool HasBaz {
         get { return result.HasBaz; }
@@ -2937,7 +2935,7 @@
         return this;
       }
-      
+
       public bool HasFred {
-       get { return result.HasFred; }
+        get { return result.HasFred; }
       }
       public global::Google.ProtocolBuffers.TestProtos.ComplexOptionType2.Types.ComplexOptionType4 Fred {
@@ -2961,5 +2959,5 @@
         if (result.HasFred &&
             result.fred_ != global::Google.ProtocolBuffers.TestProtos.ComplexOptionType2.Types.ComplexOptionType4.DefaultInstance) {
-            result.fred_ = global::Google.ProtocolBuffers.TestProtos.ComplexOptionType2.Types.ComplexOptionType4.CreateBuilder(result.fred_).MergeFrom(value).BuildPartial();
+          result.fred_ = global::Google.ProtocolBuffers.TestProtos.ComplexOptionType2.Types.ComplexOptionType4.CreateBuilder(result.fred_).MergeFrom(value).BuildPartial();
         } else {
           result.fred_ = value;
@@ -2978,5 +2976,5 @@
     }
   }
-  
+
   public sealed partial class ComplexOptionType3 : pb::GeneratedMessage<ComplexOptionType3, ComplexOptionType3.Builder> {
     private static readonly ComplexOptionType3 defaultInstance = new Builder().BuildPartial();
@@ -2984,21 +2982,21 @@
       get { return defaultInstance; }
     }
-    
+
     public override ComplexOptionType3 DefaultInstanceForType {
       get { return defaultInstance; }
     }
-    
+
     protected override ComplexOptionType3 ThisMessage {
       get { return this; }
     }
-    
+
     public static pbd::MessageDescriptor Descriptor {
       get { return global::Google.ProtocolBuffers.TestProtos.UnitTestCustomOptionsProtoFile.internal__static_protobuf_unittest_ComplexOptionType3__Descriptor; }
     }
-    
+
     protected override pb::FieldAccess.FieldAccessorTable<ComplexOptionType3, ComplexOptionType3.Builder> InternalFieldAccessors {
       get { return global::Google.ProtocolBuffers.TestProtos.UnitTestCustomOptionsProtoFile.internal__static_protobuf_unittest_ComplexOptionType3__FieldAccessorTable; }
     }
-    
+
     #region Nested types
     public static class Types {
@@ -3008,21 +3006,21 @@
           get { return defaultInstance; }
         }
-        
+
         public override ComplexOptionType5 DefaultInstanceForType {
           get { return defaultInstance; }
         }
-        
+
         protected override ComplexOptionType5 ThisMessage {
           get { return this; }
         }
-        
+
         public static pbd::MessageDescriptor Descriptor {
           get { return global::Google.ProtocolBuffers.TestProtos.UnitTestCustomOptionsProtoFile.internal__static_protobuf_unittest_ComplexOptionType3_ComplexOptionType5__Descriptor; }
         }
-        
+
         protected override pb::FieldAccess.FieldAccessorTable<ComplexOptionType5, ComplexOptionType5.Builder> InternalFieldAccessors {
           get { return global::Google.ProtocolBuffers.TestProtos.UnitTestCustomOptionsProtoFile.internal__static_protobuf_unittest_ComplexOptionType3_ComplexOptionType5__FieldAccessorTable; }
         }
-        
+
         public const int PlughFieldNumber = 3;
         private bool hasPlugh;
@@ -3034,5 +3032,5 @@
           get { return plugh_; }
         }
-        
+
         public override bool IsInitialized {
           get {
@@ -3040,5 +3038,5 @@
           }
         }
-        
+
         public override void WriteTo(pb::CodedOutputStream output) {
           int size = SerializedSize;
@@ -3048,5 +3046,5 @@
           UnknownFields.WriteTo(output);
         }
-        
+
         private int memoizedSerializedSize = -1;
         public override int SerializedSize {
@@ -3054,5 +3052,5 @@
             int size = memoizedSerializedSize;
             if (size != -1) return size;
-            
+
             size = 0;
             if (HasPlugh) {
@@ -3064,22 +3062,22 @@
           }
         }
-        
+
         public static ComplexOptionType5 ParseFrom(pb::ByteString data) {
-          return ((Builder) CreateBuilder().MergeFrom(data)).BuildParsed();
+          return ((Builder)CreateBuilder().MergeFrom(data)).BuildParsed();
         }
         public static ComplexOptionType5 ParseFrom(pb::ByteString data, pb::ExtensionRegistry extensionRegistry) {
-          return ((Builder) CreateBuilder().MergeFrom(data, extensionRegistry)).BuildParsed();
+          return ((Builder)CreateBuilder().MergeFrom(data, extensionRegistry)).BuildParsed();
         }
         public static ComplexOptionType5 ParseFrom(byte[] data) {
-          return ((Builder) CreateBuilder().MergeFrom(data)).BuildParsed();
+          return ((Builder)CreateBuilder().MergeFrom(data)).BuildParsed();
         }
         public static ComplexOptionType5 ParseFrom(byte[] data, pb::ExtensionRegistry extensionRegistry) {
-          return ((Builder) CreateBuilder().MergeFrom(data, extensionRegistry)).BuildParsed();
+          return ((Builder)CreateBuilder().MergeFrom(data, extensionRegistry)).BuildParsed();
         }
         public static ComplexOptionType5 ParseFrom(global::System.IO.Stream input) {
-          return ((Builder) CreateBuilder().MergeFrom(input)).BuildParsed();
+          return ((Builder)CreateBuilder().MergeFrom(input)).BuildParsed();
         }
         public static ComplexOptionType5 ParseFrom(global::System.IO.Stream input, pb::ExtensionRegistry extensionRegistry) {
-          return ((Builder) CreateBuilder().MergeFrom(input, extensionRegistry)).BuildParsed();
+          return ((Builder)CreateBuilder().MergeFrom(input, extensionRegistry)).BuildParsed();
         }
         public static ComplexOptionType5 ParseDelimitedFrom(global::System.IO.Stream input) {
@@ -3090,8 +3088,8 @@
         }
         public static ComplexOptionType5 ParseFrom(pb::CodedInputStream input) {
-          return ((Builder) CreateBuilder().MergeFrom(input)).BuildParsed();
+          return ((Builder)CreateBuilder().MergeFrom(input)).BuildParsed();
         }
         public static ComplexOptionType5 ParseFrom(pb::CodedInputStream input, pb::ExtensionRegistry extensionRegistry) {
-          return ((Builder) CreateBuilder().MergeFrom(input, extensionRegistry)).BuildParsed();
+          return ((Builder)CreateBuilder().MergeFrom(input, extensionRegistry)).BuildParsed();
         }
         public static Builder CreateBuilder() { return new Builder(); }
@@ -3099,36 +3097,36 @@
         public override Builder CreateBuilderForType() { return new Builder(); }
         public static Builder CreateBuilder(ComplexOptionType5 prototype) {
-          return (Builder) new Builder().MergeFrom(prototype);
-        }
-        
+          return (Builder)new Builder().MergeFrom(prototype);
+        }
+
         public sealed partial class Builder : pb::GeneratedBuilder<ComplexOptionType5, Builder> {
           protected override Builder ThisBuilder {
             get { return this; }
           }
-          public Builder() {}
-          
+          public Builder() { }
+
           ComplexOptionType5 result = new ComplexOptionType5();
-          
+
           protected override ComplexOptionType5 MessageBeingBuilt {
             get { return result; }
           }
-          
+
           public override Builder Clear() {
             result = new ComplexOptionType5();
             return this;
           }
-          
+
           public override Builder Clone() {
             return new Builder().MergeFrom(result);
           }
-          
+
           public override pbd::MessageDescriptor DescriptorForType {
             get { return global::Google.ProtocolBuffers.TestProtos.ComplexOptionType3.Types.ComplexOptionType5.Descriptor; }
           }
-          
+
           public override ComplexOptionType5 DefaultInstanceForType {
             get { return global::Google.ProtocolBuffers.TestProtos.ComplexOptionType3.Types.ComplexOptionType5.DefaultInstance; }
           }
-          
+
           public override ComplexOptionType5 BuildPartial() {
             if (result == null) {
@@ -3139,8 +3137,8 @@
             return returnMe;
           }
-          
+
           public override Builder MergeFrom(pb::IMessage other) {
             if (other is ComplexOptionType5) {
-              return MergeFrom((ComplexOptionType5) other);
+              return MergeFrom((ComplexOptionType5)other);
             } else {
               base.MergeFrom(other);
@@ -3148,5 +3146,5 @@
             }
           }
-          
+
           public override Builder MergeFrom(ComplexOptionType5 other) {
             if (other == global::Google.ProtocolBuffers.TestProtos.ComplexOptionType3.Types.ComplexOptionType5.DefaultInstance) return this;
@@ -3157,9 +3155,9 @@
             return this;
           }
-          
+
           public override Builder MergeFrom(pb::CodedInputStream input) {
             return MergeFrom(input, pb::ExtensionRegistry.Empty);
           }
-          
+
           public override Builder MergeFrom(pb::CodedInputStream input, pb::ExtensionRegistry extensionRegistry) {
             pb::UnknownFieldSet.Builder unknownFields = null;
@@ -3168,11 +3166,4 @@
               switch (tag) {
                 case 0: {
-                  if (unknownFields != null) {
-                    this.UnknownFields = unknownFields.Build();
-                  }
-                  return this;
-                }
-                default: {
-                  if (pb::WireFormat.IsEndGroupTag(tag)) {
                     if (unknownFields != null) {
                       this.UnknownFields = unknownFields.Build();
@@ -3180,19 +3171,26 @@
                     return this;
                   }
-                  if (unknownFields == null) {
-                    unknownFields = pb::UnknownFieldSet.CreateBuilder(this.UnknownFields);
+                default: {
+                    if (pb::WireFormat.IsEndGroupTag(tag)) {
+                      if (unknownFields != null) {
+                        this.UnknownFields = unknownFields.Build();
+                      }
+                      return this;
+                    }
+                    if (unknownFields == null) {
+                      unknownFields = pb::UnknownFieldSet.CreateBuilder(this.UnknownFields);
+                    }
+                    ParseUnknownField(input, unknownFields, extensionRegistry, tag);
+                    break;
                   }
-                  ParseUnknownField(input, unknownFields, extensionRegistry, tag);
-                  break;
-                }
                 case 24: {
-                  Plugh = input.ReadInt32();
-                  break;
-                }
+                    Plugh = input.ReadInt32();
+                    break;
+                  }
               }
             }
           }
-          
-          
+
+
           public bool HasPlugh {
             get { return result.HasPlugh; }
@@ -3217,8 +3215,8 @@
         }
       }
-      
+
     }
     #endregion
-    
+
     public const int QuxFieldNumber = 1;
     private bool hasQux;
@@ -3230,5 +3228,5 @@
       get { return qux_; }
     }
-    
+
     public const int ComplexOptionType5FieldNumber = 2;
     private bool hasComplexOptionType5;
@@ -3240,5 +3238,5 @@
       get { return complexOptionType5_; }
     }
-    
+
     public override bool IsInitialized {
       get {
@@ -3246,5 +3244,5 @@
       }
     }
-    
+
     public override void WriteTo(pb::CodedOutputStream output) {
       int size = SerializedSize;
@@ -3257,5 +3255,5 @@
       UnknownFields.WriteTo(output);
     }
-    
+
     private int memoizedSerializedSize = -1;
     public override int SerializedSize {
@@ -3263,5 +3261,5 @@
         int size = memoizedSerializedSize;
         if (size != -1) return size;
-        
+
         size = 0;
         if (HasQux) {
@@ -3276,22 +3274,22 @@
       }
     }
-    
+
     public static ComplexOptionType3 ParseFrom(pb::ByteString data) {
-      return ((Builder) CreateBuilder().MergeFrom(data)).BuildParsed();
+      return ((Builder)CreateBuilder().MergeFrom(data)).BuildParsed();
     }
     public static ComplexOptionType3 ParseFrom(pb::ByteString data, pb::ExtensionRegistry extensionRegistry) {
-      return ((Builder) CreateBuilder().MergeFrom(data, extensionRegistry)).BuildParsed();
+      return ((Builder)CreateBuilder().MergeFrom(data, extensionRegistry)).BuildParsed();
     }
     public static ComplexOptionType3 ParseFrom(byte[] data) {
-      return ((Builder) CreateBuilder().MergeFrom(data)).BuildParsed();
+      return ((Builder)CreateBuilder().MergeFrom(data)).BuildParsed();
     }
     public static ComplexOptionType3 ParseFrom(byte[] data, pb::ExtensionRegistry extensionRegistry) {
-      return ((Builder) CreateBuilder().MergeFrom(data, extensionRegistry)).BuildParsed();
+      return ((Builder)CreateBuilder().MergeFrom(data, extensionRegistry)).BuildParsed();
     }
     public static ComplexOptionType3 ParseFrom(global::System.IO.Stream input) {
-      return ((Builder) CreateBuilder().MergeFrom(input)).BuildParsed();
+      return ((Builder)CreateBuilder().MergeFrom(input)).BuildParsed();
     }
     public static ComplexOptionType3 ParseFrom(global::System.IO.Stream input, pb::ExtensionRegistry extensionRegistry) {
-      return ((Builder) CreateBuilder().MergeFrom(input, extensionRegistry)).BuildParsed();
+      return ((Builder)CreateBuilder().MergeFrom(input, extensionRegistry)).BuildParsed();
     }
     public static ComplexOptionType3 ParseDelimitedFrom(global::System.IO.Stream input) {
@@ -3302,8 +3300,8 @@
     }
     public static ComplexOptionType3 ParseFrom(pb::CodedInputStream input) {
-      return ((Builder) CreateBuilder().MergeFrom(input)).BuildParsed();
+      return ((Builder)CreateBuilder().MergeFrom(input)).BuildParsed();
     }
     public static ComplexOptionType3 ParseFrom(pb::CodedInputStream input, pb::ExtensionRegistry extensionRegistry) {
-      return ((Builder) CreateBuilder().MergeFrom(input, extensionRegistry)).BuildParsed();
+      return ((Builder)CreateBuilder().MergeFrom(input, extensionRegistry)).BuildParsed();
     }
     public static Builder CreateBuilder() { return new Builder(); }
@@ -3311,36 +3309,36 @@
     public override Builder CreateBuilderForType() { return new Builder(); }
     public static Builder CreateBuilder(ComplexOptionType3 prototype) {
-      return (Builder) new Builder().MergeFrom(prototype);
-    }
-    
+      return (Builder)new Builder().MergeFrom(prototype);
+    }
+
     public sealed partial class Builder : pb::GeneratedBuilder<ComplexOptionType3, Builder> {
       protected override Builder ThisBuilder {
         get { return this; }
       }
-      public Builder() {}
-      
+      public Builder() { }
+
       ComplexOptionType3 result = new ComplexOptionType3();
-      
+
       protected override ComplexOptionType3 MessageBeingBuilt {
         get { return result; }
       }
-      
+
       public override Builder Clear() {
         result = new ComplexOptionType3();
         return this;
       }
-      
+
       public override Builder Clone() {
         return new Builder().MergeFrom(result);
       }
-      
+
       public override pbd::MessageDescriptor DescriptorForType {
         get { return global::Google.ProtocolBuffers.TestProtos.ComplexOptionType3.Descriptor; }
       }
-      
+
       public override ComplexOptionType3 DefaultInstanceForType {
         get { return global::Google.ProtocolBuffers.TestProtos.ComplexOptionType3.DefaultInstance; }
       }
-      
+
       public override ComplexOptionType3 BuildPartial() {
         if (result == null) {
@@ -3351,8 +3349,8 @@
         return returnMe;
       }
-      
+
       public override Builder MergeFrom(pb::IMessage other) {
         if (other is ComplexOptionType3) {
-          return MergeFrom((ComplexOptionType3) other);
+          return MergeFrom((ComplexOptionType3)other);
         } else {
           base.MergeFrom(other);
@@ -3360,5 +3358,5 @@
         }
       }
-      
+
       public override Builder MergeFrom(ComplexOptionType3 other) {
         if (other == global::Google.ProtocolBuffers.TestProtos.ComplexOptionType3.DefaultInstance) return this;
@@ -3372,9 +3370,9 @@
         return this;
       }
-      
+
       public override Builder MergeFrom(pb::CodedInputStream input) {
         return MergeFrom(input, pb::ExtensionRegistry.Empty);
       }
-      
+
       public override Builder MergeFrom(pb::CodedInputStream input, pb::ExtensionRegistry extensionRegistry) {
         pb::UnknownFieldSet.Builder unknownFields = null;
